org.apache.ignite.internal

## Enum GridKernalState

- java.lang.Object
- - java.lang.Enum<GridKernalState>
  - - org.apache.ignite.internal.GridKernalState

All Implemented Interfaces:
  Serializable, Comparable<GridKernalState>

    public enum GridKernalState
    extends Enum<GridKernalState>

Kernal life cycle states.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`STARTED` Kernal is started.
`STARTING` Kernal is starting.
`STOPPED` Kernal is stopped.
`STOPPING` Kernal is stopping.

### Method Summary

Methods
`static GridKernalState` `fromOrdinal(int ord)`
`static GridKernalState` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GridKernalState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### STARTED

    public static final GridKernalState STARTED

Kernal is started.

#### STARTING

    public static final GridKernalState STARTING

Kernal is starting.

#### STOPPING

    public static final GridKernalState STOPPING

Kernal is stopping.

#### STOPPED

    public static final GridKernalState STOPPED

Kernal is stopped.

This is also the initial state of the kernal.

### Method Detail

#### values

    public static GridKernalState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GridKernalState c : GridKernalState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GridKernalState valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static GridKernalState fromOrdinal(int ord)

Parameters:
  `ord` - Byte to convert to enum.
Returns:
  Enum.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015